%define name smeserver-qmHandle
Name: %{name}
%define version 1.4
%define release 12
Version: %{version}
Release: %{release}%{?dist}
BuildArch:     noarch
License:       GPL 
Group:         Networking/Info
Summary:       adds a panel for managing the Qmail queues using qmHandle
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Source: %{name}-%{version}.tgz
Patch1: smeserver-qmHandle-1.4-patch1.patch 
Patch2: smeserver-qmHandle-1.4-locale-2013-07-14.patch
Patch3: smeserver-qmHandle-1.4-locale-2016-03-09.patch
Patch4: smeserver-qmHandle-1.4-bz10379.alqmail.patch
Patch5: smeserver-qmHandle-1.4-bz10380.alqmail.patch
Patch6: smeserver-qmHandle-1.4-locale-2019-12-07.patch

Obsoletes:     qmHandle
Obsoletes:     e-smith-qmail-view
Obsoletes:     e-smith-qmHandle
Obsoletes:     smeserver-saco-qmHandle
Provides:      smeserver-qmHandle 
Requires:      e-smith-base  
Requires:      e-smith-lib  
Requires:      perl  
Requires:      smeserver-release >= 8
BuildRequires:  e-smith-devtools

AutoReqProv: no

%description
A panel for managing the Qmail queues using qmHandle
(http://sourceforge.net/projects/qmhandle)

%changelog
* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 1.4-12.sme
- apply locale 2019-12-07 patch

* Fri Oct 27 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-11.sme
- fix changelog  [SME: 10449]

* Mon Jul 10 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-9.sme
- add panel support for altqmail [SME: 10380]
- if altqmail config db key is present the menus are added to control altqmail

* Mon Jul 10 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-7.sme
- add command line support for alqmail and fix conflict with stopping qmail [SME: 10379]

* Thu Mar 17 2016 JP Pialasse <tests@pialasse.com> 1.4-6.sme
- fix XML error in german translation [SME: 9041]
- patch fixed and pootle entries

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.4-5.sme
- apply locale 2016-03-09 patch

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.4-4.sme
- apply locale 2013-07-14 patch

* Fri Aug 31 2012 JP Pialasse <tests@pialasse.com> 1.4-3.sme
- fix path of sv

* Thu Aug 30 2012 JP Pialasse <tests@pialasse.com> 1.4-2.sme
- fix buildrequires and import in buildsys

* Thu Aug 23 2012 JP Pialasse <tests@pialasse.com> 1.4-1.sme
- Initial release

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)
%attr(4750 root admin) "/etc/e-smith/web/functions/qmh"
%attr(0755 root root) "/usr/bin/qmHandle"

%pre

%post -p /bin/sh
#/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1

%preun

%postun -p /bin/sh
#/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1

